# Config file for the tagger analyzer.
#
# Each definition needs to define either a query_string or a query_dsl.
#
# The create_view is an optional boolean that determines whether a view
# should be created if there are hits.
#
# The tagger works in the way that the query is run and the emojis and
# tags that are defined are applied to the matching events.
# A view is created if the tag is added (only if there are results).
#
# Example:
#
# test_tagger:
#        query_string: 'test'
#        tags: ['test-tag']
#        emojis: ['FISHING_POLE']
#        create_view: true
#        view_name: 'TEST view name'
# ------------------------------------------------------------------------

#-------------------------------------------------------------------------
#
#
# AWS Cloudtrail Tags
#
#
#--------------------------------------------------------------------------

# IAM ID Identifiers
# References: https://hackingthe.cloud/aws/general-knowledge/iam-key-identifiers/
#             https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_identifiers.html#identifiers-unique-ids
#             https://gitlab.com/b00kwrm.dfir/cloudtrail-analysis/-/blob/master/data/presentations/Security_operators_guide_to_practical_AWS_CloudTrail_analysis_SEC313.pdf
#
# Prefix | Resource type
#----------------------------------
# ABIA 	 | AWS STS service bearer token
# ACCA 	 | Context-specific credential
# AGPA   | Group
# AIDA   | IAM user
# AIPA 	 | Amazon EC2 instance profile
# AKIA 	 | Access key
# ANPA 	 | Managed policy
# ANVA   | Version in a managed policy
# APKA 	 | Public key
# AROA 	 | Role
# ASCA 	 | Certificate
# ASIA   | Temporary (AWS STS) access key IDs use this prefix, but are unique only in combination with the secret access key and the session token. 
#

aws_iam_access_key_type_tagger:
  query_string: 'userIdentity_accessKeyId:AKIA*'
  tags: ['aws-iam-access-key']
  emojis: ['ID_BUTTON', 'PERSON_STANDING']
  create_view: true
  view_name: 'AWS IAM Access Key - Activity'
